%define enable_sound	1
%define enable_debugger	1
%define enable_joystick	1
%define enable_cheats	1
%define enable_static	0

Name:		stella
Version:	6.6
Release:	%mkrel 2
Summary:	An Atari 2600 Video Computer System emulator
License:	GPLv2+
Group:		Emulators
URL:		https://stella-emu.github.io/
Source0:	https://github.com/stella-emu/stella/releases/download/%{version}/%{name}-%{version}-src.tar.xz
Patch0:		stella-6.6-mga-external-sqlite.patch
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	desktop-file-utils

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was the most
popular home video game system of the early 1980's.  This emulator will run
most Atari ROM images, so that you can play your favorite old Atari 2600 games
on your PC.

%prep
%setup -q
%autopatch
sed -i -e "s@'docs/Changes.txt'@'%{_datadir}/doc/%{name}/Changes.txt'@g"  src/gui/WhatsNewDialog.cxx

%build
%set_build_flags
./configure --prefix=%{_prefix} --bindir=%{_bindir} --docdir=%{_datadir}/doc/%{name} --datadir=%{_datadir} --enable-debug \
%if %{enable_sound}
  --enable-sound \
%else
  --disable-sound \
%endif
%if %{enable_debugger}
  --enable-debugger \
%else
  --disable-debugger \
%endif
%if %{enable_joystick}
  --enable-joystick \
%else
  --disable-joystick \
%endif
%if %{enable_cheats}
  --enable-cheats \
%else
  --disable-cheats \
%endif
%if %{enable_static}
  --enable-static \
%else
  --enable-shared \
%endif
  --docdir=%{_docdir}/stella

%make_build LDFLAGS='-pthread -g'

%install
%make_install
rm -f %{buildroot}%{_docdir}/stella/README-SDL.txt

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%files
%{_docdir}/stella/*
%license License.txt
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 6.6-2.mga9
+ Revision: 1839039
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 danf <danf> 6.6-1.mga9
+ Revision: 1775297
- Update to ver. 6.6
- This version uses sqlite3 to store configuration settings

* Thu Dec 31 2020 danf <danf> 6.4-1.mga8
+ Revision: 1666701
- Updated to ver. 6.4

* Wed Apr 22 2020 danf <danf> 6.1.1-1.mga8
+ Revision: 1571142
- Upgrade to 6.1.1.  Major changes include:
- Because of major event remapping changes, all remappings will be reset to
  defaults; if you had custom mappings, they will need to be re-entered again.
- Because of major internal changes, all state files are now invalid.

* Thu Mar 05 2020 danf <danf> 6.0.2-1.mga8
+ Revision: 1554204
- Upgraded to 6.0.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 04 2019 danf <danf> 6.0-1.mga7
+ Revision: 1349121
- Upgraded to 6.0
- The state file format has changed, and old state files will not work with this release.

* Sun Sep 23 2018 umeabot <umeabot> 5.0.2-2.mga7
+ Revision: 1301197
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 danf <danf> 5.0.2-1.mga7
+ Revision: 1160098
- Upgraded to 5.0.2
- The settings directory now uses the XDG Base Directory Specification.
  In most cases, this means that your files will now be stored in
  '~/.config/stella' instead of '~/.stella'.  To keep your old settings,
  run the following command from the terminal:
    mv ~/.stella ~/.config/stella
  You will probably need to edit '~/.config/stella/stellarc' and change
  some paths accordingly.
- Note: because of major TIA/6502/RIOT changes, the state file format
  has changed, and old state files will not work with this release.

* Fri May 13 2016 danf <danf> 4.7.2-1.mga6
+ Revision: 1014572
- Updated to ver. 4.7.2

* Tue Feb 16 2016 danf <danf> 4.7.1-1.mga6
+ Revision: 961838
- Updated to ver. 4.7.1

* Sat Jan 02 2016 danf <danf> 4.6.7-1.mga6
+ Revision: 918354
- Updated to ver. 4.6.7

* Sat Sep 12 2015 danf <danf> 4.6.1-2.mga6
+ Revision: 878332
- Added debuginfo.patch to include debug symbols

* Sun Jun 21 2015 danf <danf> 4.6.1-1.mga6
+ Revision: 837699
- Updated to ver. 4.6.1
- Removed obsolete configure options

* Wed Oct 15 2014 umeabot <umeabot> 4.1-3.mga5
+ Revision: 746068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1-2.mga5
+ Revision: 689539
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 danf <danf> 4.1-1.mga5
+ Revision: 671123
- Upgraded to ver. 4.1. Major changes include:
  * Ported Stella to SDL2, which brings many new features. Hardware
    acceleration is now required, which means up-to-date drivers
    are needed.  Software rendering is still present, but is somewhat
    unoptimized and unsupported going forward.
  * Fullscreen video modes now use the desktop resolution.
  * TIA TV effects are now available in all video modes, since hardware
    acceleration is a requirement.
  * Removed 'uipalette' option, as the original palette is no longer supported.
  * Added support for 'DASH' and 'MDM' bankswitching schemes
  * Improved snapshot viewing in the ROM launcher
  * Improved support on multi-monitor systems.

* Fri May 30 2014 danf <danf> 3.9.3-1.mga5
+ Revision: 627826
- Upgraded to ver. 3.9.3. Major changes include:
- Added bankswitch schemes BF, BFSC, DF, DFSC and 4KSC
- Updated ROM properties for several ROMs
- Fixed program crash when specifying an unrecognized bankswitch type

* Mon Oct 21 2013 umeabot <umeabot> 3.9.2-2.mga4
+ Revision: 539199
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 danf <danf> 3.9.2-1.mga4
+ Revision: 491583
- updated to version 3.9.2
  - many bug fixes and improvements
  - the state file format has changed, so state files from older versions will
    not work with this release.
- removed .desktop file patches (merged upstream)

* Sun Jul 21 2013 danf <danf> 3.9-1.mga4
+ Revision: 456844
- updated to version 3.9
- added StartupNotify=true to .desktop file
- removed unneeded documentation files
- brought spec file up to Mageia standards
- imported package stella


* Sat Sep 15 2012 Zombie Ryushu <ryushu@mandriva.org> 3.7.2-1mdv2011.0
+ Revision: 816963
- Upgrade to 3.7.2

* Sat Jun 09 2012 Andrey Bondrov <abondrov@mandriva.org> 3.7.1-1
+ Revision: 804108
- New version 3.7.1

* Sat Jun 02 2012 Zombie Ryushu <ryushu@mandriva.org> 3.7-1
+ Revision: 802062
- Upgrade to 3.7

* Sat Mar 31 2012 Andrey Bondrov <abondrov@mandriva.org> 3.6.1-1
+ Revision: 788417
- New version 3.6.1

* Mon Mar 19 2012 Andrey Bondrov <abondrov@mandriva.org> 3.6-1
+ Revision: 785490
- New version 3.6

* Mon Feb 06 2012 Andrey Bondrov <abondrov@mandriva.org> 3.5.5-1
+ Revision: 771315
- New version 3.5.5

* Wed Jan 04 2012 Andrey Bondrov <abondrov@mandriva.org> 3.5-1
+ Revision: 753847
- Update BuildRequires
- New version 3.5, update file list

* Wed Aug 03 2011 Andrey Bondrov <abondrov@mandriva.org> 3.4.1-1
+ Revision: 692962
- imported package stella


* Fri Dec  3 2010 Guillaume Bedot <littletux@zarb.org> 3.3-1plf2011.0
- 3.3

* Sun May  9 2010 Guillaume Bedot <littletux@zarb.org> 3.1.2-1plf2010.1
- 3.1.2

* Mon Apr 26 2010 Guillaume Bedot <littletux@zarb.org> 3.1-1plf2010.1
- 3.1

* Tue Sep 15 2009 Guillaume Bedot <littletux@zarb.org> 3.0-1plf2010.0
- 3.0

* Fri Sep  4 2009 Guillaume Bedot <littletux@zarb.org> 2.8.4-1plf2010.0
- 2.8.4

* Sun Jun 21 2009 Guillaume Bedot <littletux@zarb.org> 2.8.1-1plf2010.0
- 2.8.1

* Fri Jun 12 2009 Guillaume Bedot <littletux@zarb.org> 2.8-1plf2010.0
- 2.8

* Mon May 18 2009 Guillaume Bedot <littletux@zarb.org> 2.7.7-2plf2010.0
- build fixes

* Wed May 13 2009 Guillaume Bedot <littletux@zarb.org> 2.7.7-1plf2009.1
- 2.7.7

* Sat Apr 18 2009 Guillaume Bedot <littletux@zarb.org> 2.7.6-1plf2009.1
- 2.7.6

* Sat Feb 21 2009 Guillaume Bedot <littletux@zarb.org> 2.7.3a-1plf2009.1
- 2.7.3a

* Tue Jan 27 2009 Guillaume Bedot <littletux@zarb.org> 2.7.2-1plf2009.1
- 2.7.2

* Mon Jan 26 2009 Guillaume Bedot <littletux@zarb.org> 2.7.1-1plf2009.1
- 2.7.1

* Wed Jan 21 2009 Guillaume Bedot <littletux@zarb.org> 2.7-1plf2009.1
- 2.7, dropped patch (upstream fixed)

* Thu May 29 2008 Guillaume Bedot <littletux@zarb.org> 2.6.1-1plf2009.0
- 2.6.1
- Fix build with g++ 4.3.1

* Fri Apr 18 2008 Guillaume Bedot <littletux@zarb.org> 2.5.1-1plf2009.0
- 2.5.1

* Wed Nov 28 2007 Guillaume Bedot <littletux@zarb.org> 2.4.2-1plf2008.1
- 2.4.2 (more or less synced with stephen's version)

* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 2.3.5-1plf2008.0
- New release provided by Zombie Ryushu

* Fri Sep 08 2006 Stephen Anthony <stephena@zarb.org> 2.2-1plf2007.0
- Packaged 2.2 release for PLF
- Added XDG menu

* Sat Oct 29 2005 Stephen Anthony <stephena@zarb.org> 2.0.1-3plf
- Fix for x86_64 compilation

* Wed Oct 26 2005 Stephen Anthony <stephena@zarb.org> 2.0.1-2plf
- Fix for improper PLF upload

* Sun Oct 24 2005 Stephen Anthony <stephena@zarb.org> 2.0.1-1
- Version 2.0.1 release, and plaform-agnostic SRPM (hopefully)

* Sun Oct  9 2005 Stefan van der Eijk <stefan@eijk.nu> 1.4.2-3plf
- BuildRequires
- distsuffix & mkrel

* Sun Jul 31 2005 Stephen Anthony <stephena@zarb.org> 1.4.2-2plf
- Recompile for distro name change

* Sat Feb 19 2005 Stephen Anthony <stephena@zarb.org> 1.4.2-1plf
- 1.4.2
- First release of Stella 1.4.2 for PLF

* Sat Apr 24 2004 Stefan van der Eijk <stefan@eijk.nu> 1.3-1plf
- 1.3
- remove stella sound, seems to be included?

* Sun Nov 10 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2-3plf
- BuildRequires

* Thu Oct 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-2plf 
- by Rob Kudla <rpm@kudla.org>
- doh!  forgot to build the sound server!

* Wed Oct 22 2002 Rob Kudla <rpm@kudla.org> 1.2-1plf
- oh yeah, I guess emulators go in plf

* Tue Oct 22 2002 Rob Kudla <rpm@kudla.org> 1.2-1mdk
- first attempt at package
